Class AddItemsToPlaylistDeprecatedRequest
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest<SnapshotResult>
se.michaelthelin.spotify.requests.data.AbstractDataRequest<SnapshotResult>
se.michaelthelin.spotify.requests.data.playlists.AddItemsToPlaylistDeprecatedRequest
- All Implemented Interfaces:
IRequest<SnapshotResult>
@Deprecated
public class AddItemsToPlaylistDeprecatedRequest
extends AbstractDataRequest<SnapshotResult>
Deprecated.
Add one or more items to a user's playlist.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final classDeprecated.UseAddItemsToPlaylistRequestinstead. -
Method Summary
Methods inherited from class AbstractRequest
bodyParametersToJson, deleteJson, executeAsync, getBody, getBodyParameters, getContentType, getHeaders, getHttpManager, getJson, getUri, initializeBody, postJson, putJsonModifier and TypeMethodDescriptionbodyParametersToJson(List<org.apache.hc.core5.http.NameValuePair> bodyParameters) Convert body parameters to JSON string.Execute DELETE request and get JSON response.Get something asynchronously.org.apache.hc.core5.http.HttpEntitygetBody()Get the request body.List<org.apache.hc.core5.http.NameValuePair> Get the body parameters for this request.org.apache.hc.core5.http.ContentTypeGet the content type for this request.List<org.apache.hc.core5.http.Header> Get the headers for this request.Get the HTTP manager for this request.getJson()Get JSON response as string.getUri()Get the URI for this request.voidInitialize the request body based on content type.postJson()Execute POST request and get JSON response.putJson()Execute PUT request and get JSON response.
-
Method Details
-
execute
public SnapshotResult execute() throws IOException, SpotifyWebApiException, org.apache.hc.core5.http.ParseExceptionDeprecated.Add items to playlist.- Returns:
- A playlist snapshot ID. The snapshot ID can be used to identify your playlist version in future requests.
- Throws:
IOException- In case of networking issues.SpotifyWebApiException- The Web API returned an error further specified in this exception's root cause.org.apache.hc.core5.http.ParseException- If a parsing error occurs.- See Also:
-
AddItemsToPlaylistRequestinstead.